summaryrefslogtreecommitdiffstats
path: root/bin/release
diff options
context:
space:
mode:
authorRobb Matzke <matzke@llnl.gov>1999-07-19 19:56:18 (GMT)
committerRobb Matzke <matzke@llnl.gov>1999-07-19 19:56:18 (GMT)
commit9ab6d3211c9ab08ab8e9568d91a011bce5dc96b8 (patch)
tree0660c3e17bba7f93d3f13d9dc2eb7d2db6c58ba7 /bin/release
parent1285b17e96f4cbc3030876e162245b126fb60896 (diff)
downloadhdf5-9ab6d3211c9ab08ab8e9568d91a011bce5dc96b8.zip
hdf5-9ab6d3211c9ab08ab8e9568d91a011bce5dc96b8.tar.gz
hdf5-9ab6d3211c9ab08ab8e9568d91a011bce5dc96b8.tar.bz2
[svn-r1514] ./bin/release [1.2, 1.3]
The SunOS 5.6 version of `sed' must have slashes as delimiters so I made sure that's all that's used in this script even though it makes one pattern almost unreadable.
Diffstat (limited to 'bin/release')
-rwxr-xr-xbin/release8
1 files changed, 6 insertions, 2 deletions
diff --git a/bin/release b/bin/release
index 8e76b1b..7a46374 100755
--- a/bin/release
+++ b/bin/release
@@ -30,6 +30,10 @@
# /tmp/hdf5-1.0.38.tar.gz
# /tmp/hdf5-1.0.38.tar.bz2
#
+# Modifications
+# Robb Matzke, 1999-07-16
+# The SunOS 5.6 sed *must* have slashes as delimiters. I changed things like
+# `sed s+/CVS++' to `sed 's/\/CVS//'
# Defaults
DEST=releases
@@ -88,7 +92,7 @@ for file in `cat $MANIFEST`; do
fi
done
for cvs in `find . -type d -name CVS -print`; do
- path=`echo $cvs |sed s+/CVS++`
+ path=`echo $cvs |sed 's/\/CVS//`
for file in `grep '^\/' $cvs/Entries |cut -d/ -f2`; do
if (grep $path/$file $MANIFEST >/dev/null); then
:
@@ -137,7 +141,7 @@ test "$verbose" && echo " Running tar..." 1>&2
( \
cd ..; \
tar cf x.tar hdf5-$VERS/Makefile \
- `sed s+^\./+hdf5-$VERS/+ $MANIFEST` || exit 1 \
+ `sed 's/^\.\//hdf5-'$VERS'\//' $MANIFEST` || exit 1 \
)
# Compress